## bornagain 22~git20250131135257.50eb7b6+ds3

=== Base/CMakeLists.txt ===
############################################################################
# CMakeLists.txt file for building libBornAgainSim
############################################################################

set(component Base)
set(lib BornAgain${component})

# --- source and include files ---

file(GLOB source_files */*.cpp)
file(GLOB include_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} */*.h)

# --- make the library ---

add_library(${lib} SHARED)
MakeLib(${lib} "${CMAKE_CURRENT_BINARY_DIR}/Wrap" "${source_files}" "${include_files}")

# --- external dependences ---

target_link_libraries(${lib}
    PUBLIC
    ${GSL_LIBRARIES}
    ${FFTW3_LIBRARIES}
)

target_include_directories(${lib}
    PUBLIC
    ${CMAKE_SOURCE_DIR}
    ${BUILD_INC_DIR}
    SYSTEM PUBLIC
    ${LibHeinz_INCLUDE_DIR}
    ${Boost_INCLUDE_DIRS}
    # the following needed for Mac and Win, even if they are implied under Linux
    ${GSL_INCLUDE_DIR}
    ${FFTW3_INCLUDE_DIR}
)

# g++ versions less than 9.1 need to link against libstdc++fs
# if std::filesystem is used
if(GCC AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 9.1)
    target_link_libraries(${lib} PRIVATE stdc++fs)
endif()
# the same applies to clang versions less than 9.0: they need to link
# against libstdc++fs or libc++fs if std::filesystem is used
if(CLANG AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 9.0)
    if(LINUX)
        target_link_libraries(${lib} PRIVATE stdc++fs)
    else()
        target_link_libraries(${lib} PRIVATE c++fs)
    endif()
endif()

if(WIN32)
    target_compile_definitions(${lib} PRIVATE -DBA_BASE_BUILD_DLL)
endif()

=== Fit/CMakeLists.txt ===
############################################################################
# CMakeLists.txt file for building libBornAgainFit
############################################################################

set(component Fit)
set(lib BornAgain${component})

# --- source and include files ---

file(GLOB source_files */*.cpp)
file(GLOB include_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} */*.h)

# --- make the library ---

add_library(${lib} SHARED)
MakeLib(${lib} "${CMAKE_CURRENT_BINARY_DIR}/Wrap" "${source_files}" "${include_files}")

# --- external dependences ---

target_link_libraries(${lib}
    PUBLIC
    ${Boost_LIBRARIES}
    ${Boost_Additional_Libraries}
    PRIVATE
    ${RootMinimizers_LIBRARY}
    )
target_include_directories(${lib}
    PUBLIC
    ${CMAKE_SOURCE_DIR}
    SYSTEM PUBLIC
    ${LibHeinz_INCLUDE_DIR}
    ${Boost_INCLUDE_DIRS}  # because needed by Fit/Test/Unit ?
    SYSTEM PRIVATE
    ${RootMinimizers_INCLUDE_DIRS}
    )

=== Img3D/CMakeLists.txt ===
set(lib BornAgainImg3D)

set(CMAKE_AUTOMOC ON)

file(GLOB_RECURSE source_files *.cpp)

set(CMAKE_AUTORCC ON)
qt_add_resources(RC_SHADERS shaders.qrc)

add_library(${lib} STATIC ${source_files} ${RC_SHADERS})
target_include_directories(${lib}
    PUBLIC
    ${CMAKE_SOURCE_DIR}
    SYSTEM PUBLIC
    ${LibHeinz_INCLUDE_DIR}
    ${formfactor_INCLUDE_DIR}
)

target_link_libraries(${lib} Qt6::Core Qt6::Widgets Qt6::OpenGL Qt6::OpenGLWidgets)

=== Tests/Py/CMakeLists.txt ===
add_subdirectory(Fit)
add_subdirectory(Unit)
add_subdirectory(Functional)

=== Tests/Suite/Persist/CMakeLists.txt ===
#   ************************************************************************************************
#
#   BornAgain: simulate and fit scattering at grazing incidence
#
#!  @file      Tests/Suite/Persist/CMakeLists.txt
#!  @brief     Builds Core standard tests.
#
#              GTestWrapper/TestAll.cpp provides main, which essentially runs RUN_ALL_TESTS().
#              RUN_ALL_TESTS is a gtest macro that runs tests defined by TEST_F macros.
#
#              .../Suite/RunTest.cpp includes .../Suite/Standard.Test which uses such TEST_F macros
#              to define our standard test cases.
#
#              ./Check.cpp provides a callback function that executes one Core tests:
#              Run a given simulation, and compare result with reference data.
#
#!  @homepage  http://www.bornagainproject.org
#!  @license   GNU General Public License v3 or higher (see COPYING)
#!  @copyright Forschungszentrum Jülich GmbH 2018
#!  @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
#
#   ************************************************************************************************

include(GoogleTest) # provides gtest_discover_tests

set(test SuiteTestPersist)

set(source_files Check.cpp ../Common/RunTest.cpp ${CMAKE_SOURCE_DIR}/Tests/GTestWrapper/TestAll.cpp)

add_executable(${test} ${source_files})
target_compile_definitions(${test} PRIVATE -DBORNAGAIN_PYTHON)
target_compile_definitions(${test} PUBLIC DISABLE_DISTRIBUTION_TESTS -DTESTNAME=Persist)
target_link_libraries(${test} BornAgainTestSimFactory gtest)

gtest_discover_tests(${test} DISCOVERY_TIMEOUT 300 TEST_PREFIX Suite.)

=== debian/changelog ===
bornagain (22~git20250131135257.50eb7b6+ds3-3) unstable; urgency=medium

  * Show computed results near the relevant error message.

 -- Roland Mas <lolando@debian.org>  Sat, 01 Feb 2025 14:00:48 +0100

bornagain (22~git20250131135257.50eb7b6+ds3-2) unstable; urgency=medium

  * Show computed results near the relevant error message.

 -- Roland Mas <lolando@debian.org>  Fri, 31 Jan 2025 20:13:45 +0100

bornagain (22~git20250131135257.50eb7b6+ds3-1) unstable; urgency=medium

  * New upstream release.
  * Print computed results during testsuite runs when they differ from
    reference data, to help upstream debug the platform-dependent
    failures.

 -- Roland Mas <lolando@debian.org>  Fri, 31 Jan 2025 16:19:16 +0100

bornagain (22~git20250124151459.1c7b3fe+ds3-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Fri, 24 Jan 2025 17:35:11 +0100

=== debian/control ===
Source: bornagain
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Mika Pflüger <debian@mikapflueger.de>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Roland Mas <lolando@debian.org>,
Section: science
Priority: optional
Build-Depends:
 clang-format <!nocheck>,
 cmake,
 debhelper-compat (= 13),
 dh-sequence-python3,
 doxygen-latex <!nodoc>,
 graphviz <!nodoc>,
 libboost-all-dev,
 libcerf-dev (>= 2.3),
 libeigen3-dev,
 libfftw3-dev,
 libformfactor-dev,
 libgsl0-dev,
 libheinz-dev,
 libqt6opengl6-dev,
 libtiff-dev,
 libxkbcommon-dev,
 libyaml-cpp-dev,
 python3-corner <!nopython>,
 python3-dev <!nopython>,
 python3-emcee <!nopython>,
 python3-fabio <!nopython>,
 python3-lmfit <!nopython>,
 python3-matplotlib <!nopython>,
 python3-numpy <!nopython>,
 python3-pip <!nopython>,
 python3-scipy <!nopython>,
 python3-setuptools <!nopython>,
 python3-yaml <!nopython>,
 qt6-base-dev,
 qt6-svg-dev,
 swig <!nopython>,
Build-Depends-Indep:
 hugo <!nodoc>,
 texlive-fonts-extra <!nodoc>,
 texlive-xetex <!nodoc>,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/bornagain
Vcs-Git: https://salsa.debian.org/science-team/bornagain.git
Homepage: https://bornagainproject.org/
Rules-Requires-Root: no

Package: bornagain
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 python3-bornagain,
Description: Simulate and fit X-ray and neutron GISAS -- binary
 BornAgain is a software package to simulate and fit small-angle scattering at
 grazing incidence. It supports analysis of both X-ray (GISAXS) and neutron
 (GISANS) data. Calculations are carried out in the framework of the distorted
 wave Born approximation (DWBA). BornAgain provides a graphical user interface
 for interactive use as well as a generic Python and C++ framework for modeling
 multilayer samples with smooth or rough interfaces and with various types of
 embedded nanoparticles.
 .
 BornAgain supports:
 .
 Layers:
  * Multilayers without any restrictions on the number of layers
  * Interface roughness correlation
  * Magnetic materials
 .
 Particles:
  * Choice between different shapes of particles (form factors)
  * Particles with inner structures
  * Assemblies of particles
  * Size distribution of the particles (polydispersity)
 .
 Positions of Particles:
  * Decoupled implementations between vertical and planar positions
  * Vertical distributions: particles at specific depth in layers or on top.
  * Planar distributions:
    - fully disordered systems
    - short-range order distribution (paracrystals)
    - two- and one-dimensional lattices
 .
 Input Beam:
  * Polarized or unpolarized neutrons
  * X-ray
  * Divergence of the input beam (wavelength, incident angles) following
    different distributions
  * Possible normalization of the input intensity
 .
 Detector:
  * Off specular scattering
  * Two-dimensional intensity matrix, function of the output angles
 .
 Use of BornAgain:
  * Simulation of GISAXS and GISANS from the generated sample
  * Fitting to reference data (experimental or numerical)
  * Interactions via Python scripts or Graphical User Interface
 .
 If you use BornAgain in your work, please cite
  C. Durniak, M. Ganeva, G. Pospelov, W. Van Herck, J. Wuttke (2015), BornAgain
  — Software for simulating and fitting X-ray and neutron small-angle
  scattering at grazing incidence, version <version you used>,
  http://www.bornagainproject.org

Package: python3-bornagain
Architecture: any
Depends:
 python3-matplotlib,
 python3-numpy,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Simulate and fit X-ray and neutron GISAS -- Python3
 BornAgain is a software package to simulate and fit small-angle scattering at
 grazing incidence. It supports analysis of both X-ray (GISAXS) and neutron
 (GISANS) data. Calculations are carried out in the framework of the distorted
 wave Born approximation (DWBA). BornAgain provides a graphical user interface
 for interactive use as well as a generic Python and C++ framework for modeling
 multilayer samples with smooth or rough interfaces and with various types of
 embedded nanoparticles.
 .
 BornAgain supports:
 .
 Layers:
  * Multilayers without any restrictions on the number of layers
  * Interface roughness correlation
  * Magnetic materials
 .
 Particles:
  * Choice between different shapes of particles (form factors)
  * Particles with inner structures
  * Assemblies of particles
  * Size distribution of the particles (polydispersity)
 .
 Positions of Particles:
  * Decoupled implementations between vertical and planar positions
  * Vertical distributions: particles at specific depth in layers or on top.
  * Planar distributions:
    - fully disordered systems
    - short-range order distribution (paracrystals)
    - two- and one-dimensional lattices
 .
 Input Beam:
  * Polarized or unpolarized neutrons
  * X-ray
  * Divergence of the input beam (wavelength, incident angles) following
    different distributions
  * Possible normalization of the input intensity
 .
 Detector:
  * Off specular scattering
  * Two-dimensional intensity matrix, function of the output angles
 .
 Use of BornAgain:
  * Simulation of GISAXS and GISANS from the generated sample
  * Fitting to reference data (experimental or numerical)
  * Interactions via Python scripts or Graphical User Interface
 .
 If you use BornAgain in your work, please cite
  C. Durniak, M. Ganeva, G. Pospelov, W. Van Herck, J. Wuttke (2015), BornAgain
  — Software for simulating and fitting X-ray and neutron small-angle
  scattering at grazing incidence, version <version you used>,
  http://www.bornagainproject.org
 .
  This package contains the Python bindings for use in scripts.

Package: bornagain-doc
Architecture: all
Section: doc
Depends:
 fonts-font-awesome,
 fonts-open-sans,
 fonts-roboto,
 libjs-bootstrap,
 libjs-jquery,
 libjs-popper.js,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 bornagain,
Multi-Arch: foreign
Description: Simulate and fit X-ray and neutron GISAS -- doc
 BornAgain is a software package to simulate and fit small-angle scattering at
 grazing incidence. It supports analysis of both X-ray (GISAXS) and neutron
 (GISANS) data. Calculations are carried out in the framework of the distorted
 wave Born approximation (DWBA). BornAgain provides a graphical user interface
 for interactive use as well as a generic Python and C++ framework for modeling
 multilayer samples with smooth or rough interfaces and with various types of
 embedded nanoparticles.
 .
 BornAgain supports:
 .
 Layers:
  * Multilayers without any restrictions on the number of layers
  * Interface roughness correlation
  * Magnetic materials
 .
 Particles:
  * Choice between different shapes of particles (form factors)
  * Particles with inner structures
  * Assemblies of particles
  * Size distribution of the particles (polydispersity)
 .
 Positions of Particles:
  * Decoupled implementations between vertical and planar positions
  * Vertical distributions: particles at specific depth in layers or on top.
  * Planar distributions:
    - fully disordered systems
    - short-range order distribution (paracrystals)
    - two- and one-dimensional lattices
 .
 Input Beam:
  * Polarized or unpolarized neutrons
  * X-ray
  * Divergence of the input beam (wavelength, incident angles) following
    different distributions
  * Possible normalization of the input intensity
 .
 Detector:
  * Off specular scattering
  * Two-dimensional intensity matrix, function of the output angles
 .
 Use of BornAgain:
  * Simulation of GISAXS and GISANS from the generated sample
  * Fitting to reference data (experimental or numerical)
  * Interactions via Python scripts or Graphical User Interface
 .
 If you use BornAgain in your work, please cite
  C. Durniak, M. Ganeva, G. Pospelov, W. Van Herck, J. Wuttke (2015), BornAgain
  — Software for simulating and fitting X-ray and neutron small-angle
  scattering at grazing incidence, version <version you used>,
  http://www.bornagainproject.org
 .
  This package contains the BornAgain documentation.

## bornagain 22~git20250228144901.6998e3c+ds3

=== debian/changelog ===
bornagain (22~git20250228144901.6998e3c+ds3-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends:

 -- Roland Mas <lolando@debian.org>  Tue, 04 Mar 2025 11:45:49 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  doxygen-latex <!nodoc>,
  graphviz <!nodoc>,
  libboost-all-dev,
+ libbz2-dev,
  libcerf-dev (>= 2.3),
  libeigen3-dev,
  libfftw3-dev,

## bornagain 22~git20250325170646.93042f5%2Bds3

=== Base/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,10 @@
     PUBLIC
     ${CMAKE_SOURCE_DIR}
     ${BUILD_INC_DIR}
-    SYSTEM PUBLIC
+)
+
+target_include_directories(${lib} SYSTEM
+    PUBLIC
     ${LibHeinz_INCLUDE_DIR}
     ${Boost_INCLUDE_DIRS}
     # the following needed for Mac and Win, even if they are implied under Linux

=== Tests/Suite/XML/CMakeLists.txt ===
#   ************************************************************************************************
#
#   BornAgain: simulate and fit scattering at grazing incidence
#
#!  @file      Tests/Suite/XML/CMakeLists.txt
#!  @brief     Builds standard tests for the GUI/XML serialization.
#
#              GTestWrapper/TestAll.cpp provides main, which essentially runs RUN_ALL_TESTS().
#              RUN_ALL_TESTS is a gtest macro that runs tests defined by TEST_F macros.
#
#              .../Suite/RunTest.cpp includes .../Suite/Standard.Test which uses such TEST_F macros
#              to define our standard test cases.
#
#              ./Check.cpp provides a callback function that executes one GUI tests:
#              Run a given simulation directly, and through GUI model, and compare results.
#
#!  @homepage  http://www.bornagainproject.org
#!  @license   GNU General Public License v3 or higher (see COPYING)
#!  @copyright Forschungszentrum Jülich GmbH 2018
#!  @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
#
#   ************************************************************************************************

include(GoogleTest) # provides gtest_discover_tests

set(test SuiteTestXml)

set(source_files Check.cpp ../Common/RunTest.cpp ${CMAKE_SOURCE_DIR}/Tests/GTestWrapper/TestAll.cpp)

add_executable(${test} ${source_files})
target_compile_definitions(${test} PRIVATE -DBORNAGAIN_PYTHON)
target_compile_options(${test} PUBLIC -DGUI_STD_TEST -DTESTNAME=XML)
target_compile_definitions(${test} PUBLIC DISABLE_DISTRIBUTION_TESTS)
target_link_libraries(${test} BornAgainGUI BornAgainTestSimFactory gtest)

gtest_discover_tests(${test} DISCOVERY_TIMEOUT 300 TEST_PREFIX Suite.)
